Retrieve Settings Type Metadata
Retrieves the schema, labels, and descriptions for a settings type, including its setting groups and their settings.
GET
/api/{version}/configuration/settings/{type}/metadataHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
type | The API name of the settings type. For example, general_settings__sys. Retrieve a list of all types available in your Vault with List Settings Types. |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v26.3/configuration/settings/email_settings__sys/metadataResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "email_settings__sys",
"label": "Email Settings",
"description": "Global email behavior and summary notification settings.",
"groups": [
{
"name": "general",
"label": "General",
"description": null,
"settings": [
{
"name": "email_from_name",
"label": "Email From Name",
"description": null,
"type": "STRING",
"default": "Veeva Vault",
"read_only": false
},
{
"name": "email_burst_threshold",
"label": "Email Burst Threshold",
"description": null,
"type": "NUMBER",
"default": null,
"read_only": false
},
{
"name": "enable_email_suppression_list",
"label": "Enable Email Suppression List",
"description": null,
"type": "BOOLEAN",
"default": true,
"read_only": false
}
]
},
{
"name": "email_summaries",
"label": "Email Summaries",
"description": null,
"settings": [
{
"name": "max_notifications_per_type",
"label": "Max Notifications per Type",
"description": null,
"type": "NUMBER",
"default": 20,
"read_only": false
},
{
"name": "delivery_interval",
"label": "Delivery Interval",
"description": null,
"type": "NUMBER",
"default": 1,
"read_only": false
}
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the following information for the specified settings type:
| Name | Description |
|---|---|
name | The API name of the settings type. |
label | The name displayed in the UI. |
description | A summary of the settings type. |
groups | A list of setting groups nested under this settings type. Each group includes a name, label, and a settings list. |
settings | A list of settings that belong to a settings group. Each entry includes name, label, type (BOOLEAN, STRING, or NUMBER), and default if one exists. |